/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_name"
  string Signal::get_name (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    string _return = _name;
    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
